﻿<Controls:MetroWindow x:Class="ThreadPlayer.Views.MainWindowView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:Controls="clr-namespace:MahApps.Metro.Controls;assembly=MahApps.Metro"
        xmlns:local="clr-namespace:ThreadPlayer"
        mc:Ignorable="d"
        GlowBrush="{DynamicResource AccentColorBrush}"
        ShowIconOnTitleBar="True"
        WindowStartupLocation="CenterScreen"
        WindowTransitionsEnabled="False"
        x:Name="ThreadMainWindow"
        xmlns:view="clr-namespace:ThreadPlayer.Views"
        xmlns:viewModel="clr-namespace:ThreadPlayer.ViewModels"
        xmlns:i="clr-namespace:System.Windows.Interactivity;assembly=System.Windows.Interactivity"  
        DataContext="{Binding ViewModel,ElementName=ThreadMainWindow}"
    Title="ThreadPlayer" Height="500" Width="800" MinHeight="500" MinWidth="470">

    <i:Interaction.Triggers>
        <i:EventTrigger EventName="Closing">
            <i:InvokeCommandAction Command="{Binding OnClosingCommand}"/>
        </i:EventTrigger>
    </i:Interaction.Triggers>

    <DockPanel>
        <Menu DockPanel.Dock="Top" IsMainMenu="True">
            <MenuItem x:Name="menuSave" Header="Save" Command="{Binding SaveCommand}"></MenuItem>
            <MenuItem x:Name="menuOpen" Header="Open" Command="{Binding OpenCommand}"></MenuItem>
            <Separator/>
            <MenuItem x:Name="menuAddPlaylistCreator" Header="Playlist Creator" Command="{Binding AddPlaylistCreatorCommand}"></MenuItem>
            <MenuItem x:Name="menuAddPlaylists" Header="Playlists" Command="{Binding AddPlaylistsCommand}"></MenuItem>
            <MenuItem x:Name="menuAddSongLoader" Header="Songs Loader" Command="{Binding AddSongLoaderCommand}"></MenuItem>
            <Separator/>
            <MenuItem x:Name="menuRemove" Header="Remove" Command="{Binding RemoveCommand}"></MenuItem>
        </Menu>

        <Grid>
            <TabControl Name="tabcontrol0" ItemsSource="{Binding Path=AllViewModels}" SelectedItem="{Binding Path=SelectedTab}">
                <TabControl.Resources>
                    <DataTemplate DataType="{x:Type viewModel:PlaylistsViewModel}">
                        <view:PlaylistsView/>
                    </DataTemplate>

                    <DataTemplate DataType="{x:Type viewModel:PlaylistViewModel}">
                        <view:PlaylistView/>
                    </DataTemplate>

                    <DataTemplate DataType="{x:Type viewModel:PlaylistCreatorViewModel}">
                        <view:PlaylistCreatorView/>
                    </DataTemplate>

                    <DataTemplate DataType="{x:Type viewModel:SongLoaderViewModel}">
                        <view:SongLoaderView/>
                    </DataTemplate>
                </TabControl.Resources>

                <TabControl.ItemTemplate>
                    <DataTemplate>
                        <DockPanel>
                            <TextBlock Text="{Binding Path=Header}"/>
                        </DockPanel>
                    </DataTemplate>
                </TabControl.ItemTemplate>
            </TabControl>
        </Grid>
    </DockPanel>
</Controls:MetroWindow>